> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the current Instance

> Updates the `entries_start`, `name`, or `accounting_basis` of the Instance identified by the teal-instance-id header.



## OpenAPI

````yaml PUT /v0/instance
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/instance:
    put:
      tags:
        - Instances
      summary: Update the current Instance
      description: >-
        Updates the `entries_start`, `name`, or `accounting_basis` of the
        Instance identified by the teal-instance-id header.
      operationId: update_current_instance_v0_instance_put
      parameters:
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceUpdate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Instance'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    InstanceUpdate:
      properties:
        entries_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Entries Start
          description: |-
            The datetime in UTC time from which the API will 
                    sync an Instance's accounting data. Transactions or journal entries cannot 
                    be entered before this date.
          examples:
            - '2024-01-01T00:00:00Z'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The name of the business.
          examples:
            - ACME Goods Inc
        accounting_basis:
          anyOf:
            - $ref: '#/components/schemas/AccountingBasis'
            - type: 'null'
          description: 'The accounting method used: cash basis or accrual basis.'
          examples:
            - accrual
      type: object
      title: InstanceUpdate
    Instance:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - RKtPbubK5NcbBsUmU1ktSP
        entries_start:
          type: string
          format: date-time
          title: Entries Start
          description: |-
            The datetime in UTC time from which the API will 
                    sync an Instance's accounting data. Transactions or journal entries cannot 
                    be entered before this date.
          examples:
            - '2024-01-01T00:00:00Z'
        name:
          type: string
          title: Name
          description: The name of the business.
          examples:
            - ACME Goods Inc
        subscription:
          $ref: '#/components/schemas/SubscriptionLevel'
          description: The Instance's subscription tier.
          examples:
            - tier3
        accounting_package:
          $ref: '#/components/schemas/AccountingPackage'
          description: |-
            The type of accounting package the Instance
                    uses as the source of truth for their books.
          examples:
            - platformgl
        accounting_basis:
          anyOf:
            - $ref: '#/components/schemas/AccountingBasis'
            - type: 'null'
          description: 'The accounting method used: cash basis or accrual basis.'
          examples:
            - accrual
      type: object
      required:
        - id
        - entries_start
        - name
        - subscription
        - accounting_package
      title: Instance
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    AccountingBasis:
      type: string
      enum:
        - cash
        - accrual
      title: AccountingBasis
    SubscriptionLevel:
      type: string
      enum:
        - tier0
        - tier1
        - tier2
        - tier3
        - tier4
      title: SubscriptionLevel
    AccountingPackage:
      type: string
      enum:
        - platformgl
      title: AccountingPackage
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````